Loading...
Searching...
No Matches
caf::timeout_msg Struct Reference

Signalizes a timeout event. More...

`#include <system_messages.hpp>`

## Public Attributes

atom_value | type
| Type of the timeout (either receive_atom or cycle_atom).
uint64_t | timeout_id
| Actor-specific timeout ID.

## Related Symbols

(Note that these are not member symbols.)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, timeout_msg &x)

## Detailed Description

Signalizes a timeout event.

Note
  This message is handled implicitly by the runtime system.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/system_messages.hpp